Bug 1121462 - [RFE] Add "bkr update-inventory" command
Summary: [RFE] Add "bkr update-inventory" command
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 21.0
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 04:07 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-26 06:17:31 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 846185 None None None Never

Internal Trackers: 846185

Description Nick Coghlan 2014-07-21 04:07:34 UTC
The current command for doing a hardware scan on a system is "bkr machine-test --inventory --ignore-system-status --machine <FQDN> --family <distro>"

This RFE proposes simplifying that to "bkr update-inventory --machine <FQDN> --family <distro>"

The dedicated command should make this capability more discoverable, as well as making it easier to inventory Manual systems (since it will use the new "force" option by default)

The guidance in other parts of the docs (e.g. adding a new system) should also be updated to reference the new command.

Comment 1 Nick Coghlan 2014-11-20 04:57:22 UTC
This would be a good candidate for a 19.x maintenance release.

Comment 2 Dan Callaghan 2015-05-07 07:24:52 UTC
For bug 1121462 we are adding a one-click "run inventory job" button to the system page, which will let the server figure out the most optimal distro to use (currently the rules for picking the distro are complicated due to smolt vs. lshw).

So I think bkr update-inventory should be the CLI equivalent of that -- it will be a one "click" command to just run an inventory job without caring about how it happens. So it won't expose any of the normal workflow options nor will it allow customising the distro, etc.

The --help and man for bkr update-inventory can point at bkr machine-test --inventory as an alternative when the user wants full control over how the job is defined, such as picking distros, adding extra tasks, repos, etc.

Comment 3 Amit Saha 2015-05-07 07:57:33 UTC
http://gerrit.beaker-project.org/#/c/4203/

Comment 6 Dan Callaghan 2015-08-26 06:17:31 UTC
Beaker 21.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.